Debian Bug report logs - #343446
[g-i] Missing Bengali fonts

Package: cdebconf-gtk-udeb; Maintainer for cdebconf-gtk-udeb is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdebconf-gtk-udeb is src:cdebconf.

Reported by: "Davide Viti" <zinosat@tiscali.it>

Date: Thu, 15 Dec 2005 11:18:04 UTC

Severity: normal

Done: Davide Viti <zinosat@tiscali.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to "Davide Viti" <zinosat@tiscali.it>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Davide Viti" <zinosat@tiscali.it>
To: submit@bugs.debian.org
Subject: [g-i] Missing Bengali fonts
Date: Thu, 15 Dec 2005 12:14:58 +0100
Package: cdebconf-gtk-udeb

Current g-i iso (i.e [1] for the i386 version built on 20051130) has problems
whith
Bengali ([2]); I tried to see what is going on and found two problems:

* there are no Bengali specific fonts (there are ttf-devanagari-fonts
  and ttf-punjabi-fonts which do not cover Bengali)

* freefonts are used as default font for Bengali even if you include
  a specific font package such as ttf-bengali-fonts ([3])

To make sure that freefont is not used for rendering Bengali (the same
had to be done for Arabic/Persian), it's necessary to remove Bengali glyphs
from FreeSerif.ttf and FreeSans.ttf. In particular:

FreeSans.ttf:  u981:u9fa
FreeSerif.ttf: u981:u9fa

I created a test image which includes ttf-bengali-fonts, and the
following font files were added:

110528  JamrulNormal.ttf
104440  LikhanNormal.ttf
185512  MuktiNarrow.ttf
 73936  MuktiNarrowBold.ttf
267208  ani.ttf
123808  lohit_bn.ttf
119116  mitra.ttf

When running "fc-list :lang=bn" I get "Likhan:style=Normal" as first entry,
so I guess LikhanNormal.ttf is used as a default.
I took some screenshots ([4],[5],[6],[7],[8],[9]) and would like to have
some feedback from native speakers since I do not know how it is supposed
to look like.

I also would like to know if we need all those font files or we can
use just a minimal subset (LikhanNormal.ttf is ok?) which could be
packaged in an udeb in the future.

regards,
Davide

---
[1] http://people.debian.org/~fjp/d-i/gtk-miniiso/daily/i386/mini.iso
[2] http://lists.debian.org/debian-boot/2005/12/msg00338.html
[3] http://ftp.de.debian.org/debian/pool/main/t/ttf-indic-fonts/ttf-bengali-fonts_0.4.6_all.deb

[4] http://www.webalice.it/zinosat/shots/bn1.jpg
[5] http://www.webalice.it/zinosat/shots/bn2.jpg
[6] http://www.webalice.it/zinosat/shots/bn3.jpg
[7] http://www.webalice.it/zinosat/shots/bn4.jpg
[8] http://www.webalice.it/zinosat/shots/bn5.jpg
[9] http://www.webalice.it/zinosat/shots/bn6.jpg

_________________________________________________________________
TISCALI ADSL Web&Mail
Solo con Tiscali Adsl navighi e telefoni senza canone Telecom a partire da
14,95 Euro/mese. Attivala subito!
Per te 500 MB inclusi per navigare, inviare e ricevere messaggi e-mail, foto
ed mp3.
http://abbonati.tiscali.it/adsl/sa/2wam_tc/






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Jamil Ahmed <itsjamil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 343446@bugs.debian.org (full text, mbox):

From: Jamil Ahmed <itsjamil@gmail.com>
To: Davide Viti <zinosat@tiscali.it>
Cc: 343446@bugs.debian.org, debian-boot@lists.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Thu, 15 Dec 2005 23:50:02 +0600
Recently Freefont project has updated its fonts with full Bengali support...
http://download.savannah.nongnu.org/releases/freefont/freefont-ttf-20051206.tar.gz
http://download.savannah.nongnu.org/releases/freefont/freefont-sfd-20051206.tar.gz

Here is the announcement,
http://lists.gnu.org/archive/html/freefont-announce/2005-12/msg00000.html

So, I think if D-I contains latest Freefont package then this issue 
might be resolved. :)

Best,
`Jamil


Davide Viti wrote:

>Package: cdebconf-gtk-udeb
>
>Current g-i iso (i.e [1] for the i386 version built on 20051130) has problems
>whith
>Bengali ([2]); I tried to see what is going on and found two problems:
>
>* there are no Bengali specific fonts (there are ttf-devanagari-fonts
>  and ttf-punjabi-fonts which do not cover Bengali)
>
>* freefonts are used as default font for Bengali even if you include
>  a specific font package such as ttf-bengali-fonts ([3])
>
>To make sure that freefont is not used for rendering Bengali (the same
>had to be done for Arabic/Persian), it's necessary to remove Bengali glyphs
>from FreeSerif.ttf and FreeSans.ttf. In particular:
>
>FreeSans.ttf:  u981:u9fa
>FreeSerif.ttf: u981:u9fa
>
>I created a test image which includes ttf-bengali-fonts, and the
>following font files were added:
>
>110528  JamrulNormal.ttf
>104440  LikhanNormal.ttf
>185512  MuktiNarrow.ttf
> 73936  MuktiNarrowBold.ttf
>267208  ani.ttf
>123808  lohit_bn.ttf
>119116  mitra.ttf
>
>When running "fc-list :lang=bn" I get "Likhan:style=Normal" as first entry,
>so I guess LikhanNormal.ttf is used as a default.
>I took some screenshots ([4],[5],[6],[7],[8],[9]) and would like to have
>some feedback from native speakers since I do not know how it is supposed
>to look like.
>
>I also would like to know if we need all those font files or we can
>use just a minimal subset (LikhanNormal.ttf is ok?) which could be
>packaged in an udeb in the future.
>
>regards,
>Davide
>
>---
>[1] http://people.debian.org/~fjp/d-i/gtk-miniiso/daily/i386/mini.iso
>[2] http://lists.debian.org/debian-boot/2005/12/msg00338.html
>[3] http://ftp.de.debian.org/debian/pool/main/t/ttf-indic-fonts/ttf-bengali-fonts_0.4.6_all.deb
>
>[4] http://www.webalice.it/zinosat/shots/bn1.jpg
>[5] http://www.webalice.it/zinosat/shots/bn2.jpg
>[6] http://www.webalice.it/zinosat/shots/bn3.jpg
>[7] http://www.webalice.it/zinosat/shots/bn4.jpg
>[8] http://www.webalice.it/zinosat/shots/bn5.jpg
>[9] http://www.webalice.it/zinosat/shots/bn6.jpg
>
>_________________________________________________________________
>TISCALI ADSL Web&Mail
>Solo con Tiscali Adsl navighi e telefoni senza canone Telecom a partire da
>14,95 Euro/mese. Attivala subito!
>Per te 500 MB inclusi per navigare, inviare e ricevere messaggi e-mail, foto
>ed mp3.
>http://abbonati.tiscali.it/adsl/sa/2wam_tc/
>
>
>
>
>
>  
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 343446@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Jamil Ahmed <itsjamil@gmail.com>, markos@debian.org
Cc: 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Thu, 15 Dec 2005 19:34:17 +0100
Quoting Jamil Ahmed (itsjamil@gmail.com):
> Recently Freefont project has updated its fonts with full Bengali support...
> http://download.savannah.nongnu.org/releases/freefont/freefont-ttf-20051206.tar.gz
> http://download.savannah.nongnu.org/releases/freefont/freefont-sfd-20051206.tar.gz
> 
> Here is the announcement,
> http://lists.gnu.org/archive/html/freefont-announce/2005-12/msg00000.html
> 
> So, I think if D-I contains latest Freefont package then this issue 
> might be resolved. :)

OK, so time to request for an update to our friend, the ttf-freefont
maintainer...

Kostas, advice ?

Thansk for the quick answer, Jamil.


From the annoucement, it seems that ttf-freefont maintainers are doing
their best to have the best font ever, complete for as many languages
as possible. Really interesting. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 343446@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Jamil Ahmed <itsjamil@gmail.com>
Cc: 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Thu, 15 Dec 2005 19:52:51 +0100
[Message part 1 (text/plain, inline)]
Hi Jamil,

> http://lists.gnu.org/archive/html/freefont-announce/2005-12/msg00000.html

I'm sure Christian posted the announcement on d-boot a while ago...

> So, I think if D-I contains latest Freefont package then this issue 
> might be resolved. :)
> 

what I read between the lines is that you prefere to stick with Freefont
rather that using "specialized" fonts to cover Bengali: could you confirm?

Could you tell me if the screenshots linked in my previous message look ok?

regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Jamil Ahmed <itsjamil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 343446@bugs.debian.org (full text, mbox):

From: Jamil Ahmed <itsjamil@gmail.com>
To: Davide Viti <zinosat@tiscali.it>
Cc: 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Fri, 16 Dec 2005 01:05:10 +0600
Davide Viti wrote:

>Hi Jamil,
>
>  
>
>>http://lists.gnu.org/archive/html/freefont-announce/2005-12/msg00000.html
>>    
>>
>
>I'm sure Christian posted the announcement on d-boot a while ago...
>
>  
>
>>So, I think if D-I contains latest Freefont package then this issue 
>>might be resolved. :)
>>
>>    
>>
>
>what I read between the lines is that you prefere to stick with Freefont
>rather that using "specialized" fonts to cover Bengali: could you confirm?
>  
>

IMO, if you are not going to include specialize fonts then just update 
the Freefont package. But if you are going to include specialized fonts 
then include MuktiNarrow. I heard it is best Bengali font for UI.

>Could you tell me if the screenshots linked in my previous message look ok?
>  
>

Yes, those screenshots looks okay. But AFAIK those fonts in 
ttf-bengali-fonts are not Unicode 4.1.0 complaint.

Best,
`Jamil




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 343446@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: debian-in-workers@lists.alioth.debian.org, 343446@bugs.debian.org
Subject: Re: [Debian-in-workers] (forw) Bug#343446: [g-i] Missing Bengali fonts
Date: Thu, 15 Dec 2005 15:09:02 -0600 (CST)
On Thu, 15 Dec 2005, Christian Perrier wrote:

> We need people with skills regarding fonts in the Debian Installer
> development list. Please come on the debian-boot mailing list at
> lists.debian.org...or, at the minimum please followup to
> 343446@bugs.debian.org
>

just the bug cc'ed for now.  I'm suffering from list overload.

>
> Package: cdebconf-gtk-udeb
>
> Current g-i iso (i.e [1] for the i386 version built on 20051130) has problems
> whith
> Bengali ([2]); I tried to see what is going on and found two problems:
>
> * there are no Bengali specific fonts (there are ttf-devanagari-fonts
>  and ttf-punjabi-fonts which do not cover Bengali)
>
> * freefonts are used as default font for Bengali even if you include
>  a specific font package such as ttf-bengali-fonts ([3])
>

Soumyadip said something to me about the situation with freefont improving
but I've forgotten what it is.  Soumyadip?

...

> I also would like to know if we need all those font files or we can
> use just a minimal subset (LikhanNormal.ttf is ok?)

Each font has the entire set of glyphs needed for a particular script so
you would only need one.

> which could be
> packaged in an udeb in the future.
>

We (Debian-IN) discussed this topic in the past.  Assuming we can't rely
on freefont doing the right thing, our choices are

1.  A single udeb containing one font for each script.

2.  One seperate udeb for each script

3.  A single udeb containing a "superfont" containing all the glyphs for
all the scripts.

does the installer team have any preference?

-- 
Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 343446@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Fri, 16 Dec 2005 01:12:10 +0100
[Message part 1 (text/plain, inline)]
Hi all,
I tested the new ttf-freefont package [1] and produced a g-i image
which uses it for Bengali; some screenshots are available in [1],[2],[3].
Let me know if they look ok; I'd like to take also some screenshots of
a g-i image which uses MuktiNarrow as suggested by Jamil (not tonight).
I guess it's up to you to choose which font to use.

> We (Debian-IN) discussed this topic in the past.  Assuming we can't rely
> on freefont doing the right thing, our choices are
> 
> 1.  A single udeb containing one font for each script.
> 
> 2.  One seperate udeb for each script
> 
> 3.  A single udeb containing a "superfont" containing all the glyphs for
> all the scripts.
> 
> does the installer team have any preference?

IMO option 2 or 3; option three would probably be the bes in the long term.
Don't know if it's doable, but I think it would be nice if we had an udeb for each
of the groups listed in [5].

regards,
Davide

[1] http://download.savannah.nongnu.org/releases/freefont/freefont-ttf-20051206.tar.gz
[2] http://www.webalice.it/zinosat/shots/bn_ff1.jpg
[3] http://www.webalice.it/zinosat/shots/bn_ff2.jpg
[4] http://www.webalice.it/zinosat/shots/bn_ff3.jpg
[5] http://wiki.debian.org/DebianInstallerGUIFonts
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Soumyadip Modak <soumyadip.modak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 343446@bugs.debian.org (full text, mbox):

From: Soumyadip Modak <soumyadip.modak@gmail.com>
To: "Jaldhar H. Vyas" <jaldhar@debian.org>
Cc: Christian Perrier <bubulle@debian.org>, debian-in-workers@lists.alioth.debian.org, 343446@bugs.debian.org
Subject: Re: [Debian-in-workers] (forw) Bug#343446: [g-i] Missing Bengali fonts
Date: Fri, 16 Dec 2005 19:34:00 +0530
On Thu, 2005-12-15 at 15:09 -0600, Jaldhar H. Vyas wrote:
> On Thu, 15 Dec 2005, Christian Perrier wrote:
> 
> > We need people with skills regarding fonts in the Debian Installer
> > development list. Please come on the debian-boot mailing list at
> > lists.debian.org...or, at the minimum please followup to
> > 343446@bugs.debian.org
> >
> 
> just the bug cc'ed for now.  I'm suffering from list overload.
> 
> >
> > Package: cdebconf-gtk-udeb
> >
> > Current g-i iso (i.e [1] for the i386 version built on 20051130) has problems
> > whith
> > Bengali ([2]); I tried to see what is going on and found two problems:
> >
> > * there are no Bengali specific fonts (there are ttf-devanagari-fonts
> >  and ttf-punjabi-fonts which do not cover Bengali)
> >
> > * freefonts are used as default font for Bengali even if you include
> >  a specific font package such as ttf-bengali-fonts ([3])
> >
> 
> Soumyadip said something to me about the situation with freefont improving
> but I've forgotten what it is.  Soumyadip?

Well, I recently had discussions with Primoz Peterlin of Freefonts.
Bengali glyphs are already in place in the latest Freefonts. Hindi and
Gujarati glyphs should be in, by the next release of Freefonts. I've not
yet managed to contact the other teams, as my exams are on currently.
I'm hoping that we'll have full support for Indic languages in Freefonts
in the new year. Shouldn't be a problem anymore then

-- 
Soumyadip Modak
Mobile : 94330 65971
soumyadip.modak@gmail.com
Soumyadip@softhome.net
http://soumyadip.nipl.net/blog




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 343446@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: "Jaldhar H. Vyas" <jaldhar@debian.org>, 343446@bugs.debian.org
Cc: debian-in-workers@lists.alioth.debian.org
Subject: Re: Bug#343446: [Debian-in-workers] (forw) Bug#343446: [g-i] Missing Bengali fonts
Date: Fri, 16 Dec 2005 20:29:16 +0100
[Message part 1 (text/plain, inline)]
On Thursday 15 December 2005 22:09, Jaldhar H. Vyas wrote:
> We (Debian-IN) discussed this topic in the past.  Assuming we can't
> rely on freefont doing the right thing, our choices are
>
> 1.  A single udeb containing one font for each script.
>
> 2.  One seperate udeb for each script
>
> 3.  A single udeb containing a "superfont" containing all the glyphs
> for all the scripts.
>
> does the installer team have any preference?

The answer is: whatever is best to minimize size without having to jump 
through ridiculous hoops.
In practice this means that overlap between different fonts should be 
minimized, so preferable only characters you need for _your_ script(s) in 
the ttf.

I would think that having a single udeb for Indic scripts would work best. 
I think the decision whether to have a single or multiple ttf files in 
the udeb can best be made by yourself, maybe after a bit of 
experimenting.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 343446@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: Christian Perrier <bubulle@debian.org>
Cc: Jamil Ahmed <itsjamil@gmail.com>, 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Sun, 18 Dec 2005 13:03:07 +0200
[Message part 1 (text/plain, inline)]
On Πέμπτη 15 Δεκέμβριος 2005 20:34, Christian Perrier wrote:
> > So, I think if D-I contains latest Freefont package then this
> > issue might be resolved. :)
>
> OK, so time to request for an update to our friend, the
> ttf-freefont maintainer...
>
> Kostas, advice ?

Well, I've already packaged the new fonts and tried to  do a new 
upload, but I managed to find a fontforge bug (since the fonts are 
GPL, I am building them from source). I have contacted the freefonts 
upstream maintainers and they can't reproduce it (though they use a 
more recent fontforge version -not packaged yet). I will look into 
this and will upload a new version, asap.

Konstantinos
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 343446@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Konstantinos Margaritis <markos@debian.org>, 335263@bugs.debian.org
Cc: Jamil Ahmed <itsjamil@gmail.com>, 343446@bugs.debian.org, 335263-submitter@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Sun, 18 Dec 2005 12:14:32 +0100
Quoting Konstantinos Margaritis (markos@debian.org):
> On Πέμπτη 15 Δεκέμβριος 2005 20:34, Christian Perrier wrote:
> > > So, I think if D-I contains latest Freefont package then this
> > > issue might be resolved. :)
> >
> > OK, so time to request for an update to our friend, the
> > ttf-freefont maintainer...
> >
> > Kostas, advice ?
> 
> Well, I've already packaged the new fonts and tried to  do a new 
> upload, but I managed to find a fontforge bug (since the fonts are 
> GPL, I am building them from source). I have contacted the freefonts 
> upstream maintainers and they can't reproduce it (though they use a 
> more recent fontforge version -not packaged yet). I will look into 
> this and will upload a new version, asap.
> 


Well, a new fontforge version also seems to be needed for building
DejaVu fonts, which are requested for CJK languages.

As a consequence, I want to get input from the fontforge package
maintainer: Chanop, do you plan to upload a newer fontforge as Peter
Cernak requested in #335263. This would help to solve several issues
related to the new graphical installer for Debian.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 343446@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 343446@bugs.debian.org
Cc: itsjamil@gmail.com
Subject: Bug#343446: [g-i] Missing Bengali fonts
Date: Sun, 18 Dec 2005 15:39:47 +0100
[Message part 1 (text/plain, inline)]
Here a few more screenshots so that you can figure out 
which font looks better.

[2], [3], [4] were taken using freefont-ttf-20051206.tar.gz ([1]) which
includes fixed Bengali glyphs

[5], [6], [7] where taken using the current freefont in the debian
archive after stripping Bengali glyphs (u981:u9fa both from
FreeSans.ttf and FreeSerif.ttf), and using MuktiNarrow.ttf and
MuktiNarrowBold.ttf as you previously suggested.

Is up to you to decide which one is better.
Let us know

Davide

[1] http://download.savannah.nongnu.org/releases/freefont/freefont-ttf-20051206.tar.gz
[2] http://www.webalice.it/zinosat/shots/bn_ff1.jpg
[3] http://www.webalice.it/zinosat/shots/bn_ff2.jpg
[4] http://www.webalice.it/zinosat/shots/bn_ff3.jpg

[2] http://www.webalice.it/zinosat/shots/bn_ff1.jpg
[3] http://www.webalice.it/zinosat/shots/bn_ff2.jpg
[4] http://www.webalice.it/zinosat/shots/bn_ff3.jpg

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 343446@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Davide Viti <zinosat@tiscali.it>
Cc: itsjamil@gmail.com, 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Sun, 18 Dec 2005 20:00:35 +0100
[Message part 1 (text/plain, inline)]
On Sunday 18 December 2005 15:39, Davide Viti wrote:
> [5], [6], [7] where taken using the current freefont in the debian
> archive after stripping Bengali glyphs (u981:u9fa both from
> FreeSans.ttf and FreeSerif.ttf), and using MuktiNarrow.ttf and
> MuktiNarrowBold.ttf as you previously suggested.

The correct links for these are missing.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Davide Viti <zinosat@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 343446@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: Frans Pop <aragorn@tiscali.nl>
Cc: Davide Viti <zinosat@tiscali.it>, itsjamil@gmail.com, 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Sun, 18 Dec 2005 20:52:09 +0100
[Message part 1 (text/plain, inline)]
> > [5], [6], [7] where taken using the current freefont in the debian
> > archive after stripping Bengali glyphs (u981:u9fa both from
> > FreeSans.ttf and FreeSerif.ttf), and using MuktiNarrow.ttf and
> > MuktiNarrowBold.ttf as you previously suggested.
> 
> The correct links for these are missing.

thanx for spotting that:

[5] http://www.webalice.it/zinosat/shots/bn_mukti1.jpg 
[6] http://www.webalice.it/zinosat/shots/bn_mukti2.jpg 
[7] http://www.webalice.it/zinosat/shots/bn_mukti3.jpg 

regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Jamil Ahmed <itsjamil@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 343446@bugs.debian.org (full text, mbox):

From: Jamil Ahmed <itsjamil@gmail.com>
To: Davide Viti <zinosat@tiscali.it>
Cc: Frans Pop <aragorn@tiscali.nl>, 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Mon, 19 Dec 2005 14:06:30 +0600
IMO MuktiNarrow*.ttf seems better. It will be best if you can use
updated [unicode 4.1.0] MuktiNarrow font from the link Omi gave.

http://prdownloads.sourceforge.net/ekushey/MuktiNarrow_11-08-2005.ttf?download

Best,
`Jamil


On 12/19/05, Davide Viti <zinosat@tiscali.it> wrote:
> > > [5], [6], [7] where taken using the current freefont in the debian
> > > archive after stripping Bengali glyphs (u981:u9fa both from
> > > FreeSans.ttf and FreeSerif.ttf), and using MuktiNarrow.ttf and
> > > MuktiNarrowBold.ttf as you previously suggested.
> >
> > The correct links for these are missing.
>
> thanx for spotting that:
>
> [5] http://www.webalice.it/zinosat/shots/bn_mukti1.jpg
> [6] http://www.webalice.it/zinosat/shots/bn_mukti2.jpg
> [7] http://www.webalice.it/zinosat/shots/bn_mukti3.jpg
>
> regards,
> Davide
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (GNU/Linux)
>
> iD8DBQFDpb3pax2slmJA7HoRAtttAJ9LUjPwC5Yn8nIWgkTUhEh//0Z90ACgrgwp
> dH/SmogzcLmWT8ce65PEbrc=
> =s+WZ
> -----END PGP SIGNATURE-----
>
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#343446; Package cdebconf-gtk-udeb. Full text and rfc822 format available.

Acknowledgement sent to Baishampayan Ghose <b.ghose@gnu.org.in>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 343446@bugs.debian.org (full text, mbox):

From: Baishampayan Ghose <b.ghose@gnu.org.in>
To: 343446@bugs.debian.org
Subject: Re: Bug#343446: [g-i] Missing Bengali fonts
Date: Thu, 5 Jan 2006 17:01:01 +0530
Davide,
Even I think it'd be best if you strip the Bengali glyphs from the
current freefonts package and use the newer MuktiNarrow fonts.
The Mukti fonts look much better than the others.
Regards,
BG

--
Baishampayan Ghose
Free Software Foundation of India
b.ghose at gnu.org.in

Reply sent to Davide Viti <zinosat@tiscali.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Davide Viti" <zinosat@tiscali.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #85 received at 343446-done@bugs.debian.org (full text, mbox):

From: Davide Viti <zinosat@tiscali.it>
To: 343446-done@bugs.debian.org
Subject: [g-i] Missing Bengali fonts
Date: Sat, 12 Aug 2006 14:26:12 +0200
[Message part 1 (text/plain, inline)]
Problem is fixed and Bengali fonts are now taken from freefont.
More details about fonts inside g-i can be found here:

http://wiki.debian.org/DebianInstaller/GUIFonts

regards,
Davide
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:50:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:56:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.